Subject: RE: bug#8157: mode related?

From: Tony An <[email-masked]>
Date: Thu, 3 Mar 2011 19:24:08 +0000

Now, I can no longer reproduce the hung, unlike yesterday, almost every time I open that file to edit, it just froze there: I cannot type in anything in Emacs, it simply stops interact with me, and I had to bring up the Task Manager to kill Emacs. It's not like a prolonged delay, I waited for more than 5 minutes one point working on other things, then came back to Emacs, it was still frozen there. That's why I decided to enter the bug report, since it happened at least 4 times yesterday. 

But today, that hung disappears, so I am not sure if this can be marked as "no reproducible" bug. 

I can run Emacs under GDB, although I am not sure what I am supposed to look at under it. 

I wasn't sure this will helps even it was hanging like yesterday because I was unable to do anything at all in Emacs when it was hung.  Now, it's not hanging, would this GDB helps to identify something unusual? 

Oh, I forgot to look at the cpu consumption yesterday when it was hung. I was able to working in other application normally when that happens, so I guess it's not that my machine is too busy at the moment...

Based on my description, if you want me to debug more with editing in the same file, I will be happy to. Otherwise, I am okay if you mark it as "no rep" since I cannot longer observe the hanging (with nothing changed, didn't even reboot my machine). 

Thanks. 

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Thursday, March 03, 2011 10:54 AM
To: Tony An
Cc: [email-masked]
Subject: Re: bug#8157: mode related?

> From: Tony An <[email-masked]>
> Date: Thu, 3 Mar 2011 18:27:00 +0000
> Cc: 
> 
> My instinct tells me that this hanging might be due to the LaTex mode is not doing well with other minor mode, but of course I might be totally wrong. Just in case, this is the mode I was in when the hung happened, repeatedly. 

Can you run Emacs under GDB?  If so, we could instruct you how to find out where it hangs (or you could read about that yourself in etc/DEBUG).

Also, are you sure it hangs, and not just does something very prolonged?  How much time did you wait for it to become responsive again?  Was Emacs consuming CPU during that time?